Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F110190845
D32223.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D32223.diff
View Options
diff --git a/tests/sys/netpfil/pf/ether.sh b/tests/sys/netpfil/pf/ether.sh
--- a/tests/sys/netpfil/pf/ether.sh
+++ b/tests/sys/netpfil/pf/ether.sh
@@ -280,10 +280,55 @@
pft_cleanup
}
+atf_test_case "dummynet" "cleanup"
+dummynet_head()
+{
+ atf_set descr 'Test dummynet for L2 traffic'
+ atf_set require.user root
+}
+
+dummynet_body()
+{
+ pft_init
+
+ if ! kldstat -q -m dummynet; then
+ atf_skip "This test requires dummynet"
+ fi
+
+ epair=$(vnet_mkepair)
+ vnet_mkjail alcatraz ${epair}b
+
+ ifconfig ${epair}a 192.0.2.1/24 up
+ jexec alcatraz ifconfig ${epair}b 192.0.2.2/24 up
+
+ # Sanity check
+ atf_check -s exit:0 -o ignore ping -i .1 -c 3 -s 1200 192.0.2.2
+
+ jexec alcatraz dnctl pipe 1 config bw 30Byte/s
+ jexec alcatraz pfctl -e
+ pft_set_rules alcatraz \
+ "ether pass in dnpipe 1"
+
+ # single ping succeeds just fine
+ atf_check -s exit:0 -o ignore ping -c 1 192.0.2.2
+
+ # Saturate the link
+ ping -i .1 -c 5 -s 1200 192.0.2.2
+
+ # We should now be hitting the limits and get this packet dropped.
+ atf_check -s exit:2 -o ignore ping -c 1 -s 1200 192.0.2.2
+}
+
+dummynet_cleanup()
+{
+ pft_cleanup
+}
+
atf_init_test_cases()
{
atf_add_test_case "mac"
atf_add_test_case "proto"
atf_add_test_case "direction"
atf_add_test_case "captive"
+ atf_add_test_case "dummynet"
}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Feb 15, 9:04 PM (12 h, 31 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
16664912
Default Alt Text
D32223.diff (1 KB)
Attached To
Mode
D32223: pf tests: test dummynet for ether traffic
Attached
Detach File
Event Timeline
Log In to Comment